<template>
  <div class="row q-pa-md" id="preview">
    <div class="col-auto">
      <h5>Name</h5>
      <p class="text-body1">{{character.name}}</p>
    </div>
    <div class="col-auto">
      <h5>Klasse</h5>
      <p class="text-body1">{{character.class}}</p>
    </div>
    <!-- <div class="col-auto col-lg-3">
      <h5>Beschreibung</h5>
      <p v-html="character.description" class="text-body1"></p>
    </div> -->
    <q-space />
    <div class="col-auto">
      <h5>View?</h5>
      <q-btn class="full-width" type="a" :href="'#/character/' + character.id" label="Continue" push color="info" />
    </div>
    <div class="col-auto">
      <h5>Delete?</h5>
      <q-btn class="full-width" type="a" @click="deleteChar" label="OK" push color="info" />
    </div>
  </div>
</template>

<script>
export default {
  name: 'CharacterPreview',
  props: {
    character: {
      type: Object,
      required: true
    }
  },
  methods: {
    deleteChar: function () {
      var payload = {
        'id': this.character['id']
      };
      this.$store.commit('removeChar', payload);
    }
  },
  filters: {
    toUppercase (value) {
      return value.toUpperCase();
    },

    snippet (value, max) {
      if (max === false || max < 1) {
        max = 100;
      }
      return value.slice(0, max) + "...";
    }
  }
}
</script>

<style lang="sass" scoped>
  #preview
    border: 1px solid $info;

  .col-auto
    // border: 1px solid $secondary;
    // background-color: $primary;
    margin: 0px;
    padding: 1em;
    text-align: center;
  .text-body1
    color: $info;
</style>
